#ifndef _Handle_PBRep_TVertex1_HeaderFile
#define _Handle_PBRep_TVertex1_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PTopoDS_TVertex1_HeaderFile
#include <Handle_PTopoDS_TVertex1.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PTopoDS_TVertex1);
class PBRep_TVertex1;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PBRep_TVertex1);

class Handle(PBRep_TVertex1) : public Handle(PTopoDS_TVertex1) {
  public:

    Handle(PBRep_TVertex1)():Handle(PTopoDS_TVertex1)() {} 
    Handle(PBRep_TVertex1)(const Handle(PBRep_TVertex1)& aHandle) : Handle(PTopoDS_TVertex1)(aHandle) 
     {
     }

    Handle(PBRep_TVertex1)(const PBRep_TVertex1* anItem) : Handle(PTopoDS_TVertex1)((PTopoDS_TVertex1 *)anItem) 
     {
     }

    Handle(PBRep_TVertex1)& operator=(const Handle(PBRep_TVertex1)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PBRep_TVertex1)& operator=(const PBRep_TVertex1* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PBRep_TVertex1* operator->() const 
     {
      return (PBRep_TVertex1 *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PBRep_TVertex1) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
